Loading...
Searching...
No Matches
densematrix.hh File Reference
Common » Dense Matrix and Vector Template Library

Implements a matrix constructed from a given type representing a field and a compile-time given number of rows and columns. More...

`#include <cmath>`
`#include <cstddef>`
`#include <iostream>`
`#include <iterator>`
`#include <type_traits>`
`#include <utility>`
`#include <vector>`
`#include <dune/common/boundschecking.hh>`
`#include <dune/common/classname.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/math.hh>`
`#include <dune/common/precision.hh>`
`#include <dune/common/simd/simd.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/scalarvectorview.hh>`
`#include <dune/common/std/iterator.hh>`

Go to the source code of this file.

## Classes

struct | Dune::FieldTraits< DenseMatrix< M > >
class | Dune::FMatrixError
| Error thrown if operations of a FieldMatrix fail. More...
class | Dune::DenseMatrix< MAT >
| A dense n x m matrix. More...

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::DenseMatrixHelp

## Functions

template<typename MAT, typename V1, typename V2>
static void | Dune::DenseMatrixHelp::multAssign (const DenseMatrix< MAT > &matrix, const DenseVector< V1 > &x, DenseVector< V2 > &ret)
| calculates ret = matrix * x
template<typename MAT>
std::ostream & | Dune::operator<< (std::ostream &s, const DenseMatrix< MAT > &a)
| Sends the matrix to an output stream.

## Detailed Description

Implements a matrix constructed from a given type representing a field and a compile-time given number of rows and columns.